- name: Support Satisfaction (SSAT)
  base_path: "/handbook/support/performance-indicators/"
  definition: A measure of how satisfied our customers' are with their interaction
    with the GitLab Support team. This is based on survey responses from customers
    after each ticket is solved by the Support team using a Good or Bad rating.
  target: At or above 95%
  org: Customer Support Department
  is_key: true
  health:
    level: 2
    reasons:
    - SSAT is very good (above 93%) but target is 95%.
    - Collecting feedback from dissatisfied customers to identify trends.
    - Support Managers review trends to create changes to workflows and/or training.
  sisense_data:
    chart: 5992548
    dashboard: 463858
    embed: v2
    border: false
- name: Manager to customer support rep ratio
  base_path: "/handbook/support/performance-indicators/"
  definition: The Manager to IC Ratio is the ratio of individual contributors to one
    manager. This data comes from Bamboo HR.
  target: The target for this metric is at or below 10:1
  org: Customer Support Department
  is_key: true
  health:
    level: 3
    reasons:
    - While we have an overall ratio of less than 10:1 as a department at time of
      this evaluation, we have re-balanced the larger imbalance in EMEA with new management
      in place, and have plans for 3 additional managers to hire to accommodate growth
      in other teams.
    - Hire to plan for new managers.
    - Re-align ICs to new managers to restore balance.
  sisense_data:
    chart: 6119434
    dashboard: 421422
    embed: v2
    border: false
- name: Service Level Agreement (SLA)
  base_path: "/handbook/support/performance-indicators/"
  definition: GitLab Support commits to an initial substantive response in a specified
    amount of time from the time the customer submits a ticket. The SLA for this first
    reply is based on each customer's Support Plan.
  target: At or above 95% to Priority Support SLAs
  org: Customer Support Department
  is_key: true
  health:
    level: 2
    reasons:
    - Inconsistent performance to a 95% target achievement.
    - Focused staffing to key time gaps with higher level of ticket SLA breaches.
    - Adjusting workflow to enable working with customers in their preferred timezone.
    - Working with the data team on understanding the inconsistent we see between
      our ZenDesk SLA data and Periscope via 2857
  urls:
  - https://about.gitlab.com/support/#service-level-agreement-sla-details
  - https://gitlab.com/gitlab-data/analytics/-/issues/2857
  sisense_data:
    chart: 6892851
    dashboard: 421422
    embed: v2
    border: false
- name: Customer Support Margin
  base_path: "/handbook/support/performance-indicators/"
  definition: Total Support headcount and non-headcount expenses as a percent of ARR.
  target: Headcount and non-headcount expenses to be at or below 10% of ARR
  org: Customer Support Department
  is_key: true
  health:
    level: 3
    reasons:
    - Tracked and reported monthly, and for the year we are under our margin target
      for spend.
    - Maintain focus on spend while iterating on needs for non-headcount expense requirements.
  sisense_data:
    chart: 6032346
    dashboard: 421422
    embed: v2
    border: false
- name: Customer Wait Times
  base_path: "/handbook/support/performance-indicators/"
  definition: The following KPI tracks the ratio between the median "Resolution Time" and the total median "Customer Wait Time" per ticket.
              "Resolution Time" is defined as the amount of time between the ticket creation and the last ticket communication.
              "Customer Wait Time" is defined as the total amount of time the ticket spends in the "Open" state over the tickets life cycle.
  target: 10% less than the median "Customer Wait Time" over a 6 months rolling average. 
  org: Customer Support Department
  is_key: true
  health:
    level: 3
    reasons:
    - TBD
- name: Support Performance to Operating Plan
  base_path: "/handbook/support/performance-indicators/"
  definition: Tracks overall Support spend against expectations from GitLab's Operational Plan.
  target: at or within 5% of Fiscal Year Operating plan
  org: Customer Support Department
  is_key: false
  health:
    level: 0
    reasons:
    - This is a new proposed PI
    - Data is currently tracked in a spreadsheet.
- name: Support Handbook MR Rate
  base_path: "/handbook/support/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-handbook-mr-rate"
  definition: The handbook is essential to working remote successfully, to keeping
    up our transparency, and to recruiting successfully. Our processes are constantly
    evolving and we need a way to make sure the handbook is being updated at a regular
    cadence. This data is retrieved by querying the API with a python script for merge
    requests that have files matching `/source/handbook/support/**` over time.
  target: 0.5
  org: Customer Support Department
  is_key: true
  health:
    level: 3
    reasons:
    - above target
  sisense_data:
    chart: 10642313
    dashboard: 621060
    shared_dashboard: 185b8e19-a99e-4718-9aba-96cc5d3ea88b
    embed: v2
- name: Support MR Rate
  base_path: "/handbook/support/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-mr-rate"
  definition: Support Department MR Rate is not directly a key performance indicator used to indicate productivity of our Support team members.
    Nonetheless, we want to track the average MR merged per team member to encourage updates to Documentation and Support 'fixes'.
    We currently count all members of the Support Department (Director, EMs, ICs) in the denominator because this is a team effort.
    The full definition of MR Rate is linked in the url section.
  target: At or above 5 MRs per Month
  org: Customer Support Department
  is_key: true
  health:
    level: 1
    reasons:
    - TBD
  urls:
    - "/handbook/engineering/metrics/#merge-request-rate"
    - https://gitlab.com/gitlab-org/quality/team-tasks/-/issues/534
  sisense_data:
    chart: 8934827
    dashboard: 686943
    shared_dashboard: fc54cf54-e5f9-4708-9dfe-9e4c921ac79e?
    embed: v2
- name: Support Team Member Retention
  base_path: "/handbook/engineering/infrastructure/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-team-member-retention"
  definition: We need to be able to retain talented team members. Retention measures our ability to keep them sticking around at GitLab. Team Member Retention = (1-(Number of Team Members leaving GitLab/Average of the 12 month Total Team Member Headcount)) x 100. GitLab measures team member retention over a rolling 12 month period.
  target: at or above 84%
  org: Customer Support Department
  is_key: true
  public: false
  health:
    level: 3
    reasons:
    - above target
  urls:
    - "https://app.periscopedata.com/app/gitlab/862336/Support-Department-Retention" 
- name: Support Vacancy Time to Fill
  base_path: "/handbook/engineering/infrastructure/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-vacancy-time-to-fill"
  definition: Vacancy Time to Fill measures the average time job openings take from open to close. This metric includes sourcing time of candidates compared to Time to Hire or Time to Offer Accept which only measures the time from when a candidate applies to when they accept.
  target: at or below 50 days
  org: Customer Support Department
  is_key: true
  public: true
  health:
    level: 0
    reasons:
    - new metric, monitoring progress
  sisense_data:
      chart: 11885848
      dashboard: 872394
      embed: v2
      filters:
          - name: Division
            value: Engineering
          - name: Department
            value: Customer Support
- name: Support Average Location Factor
  base_path: "/handbook/support/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-average-location-factor"
  definition: We remain efficient financially if we are hiring globally, working asynchronously,
    and hiring great people in low-cost regions where we pay market rates. We track
    an average location factor by function and department so managers can make tradeoffs
    and hire in an expensive region when they really need specific talent unavailable
    elsewhere, and offset it with great people who happen to be in low cost areas.
  target: At or below 0.61
  org: Customer Support Department
  is_key: false
  health:
    level: 2
    reasons:
    - We are at our target of 0.58 exactly overall, but trending upward.
    - We need to get the target location factors in the charts.
    - It will probably be cleaner if we get this in periscope.
    - We need to set the target location factors on our vacancies and make sure recruiting
      is targeting the right areas of the globe on a per role basis.
  sisense_data:
    chart: 6119437
    dashboard: 421422
    embed: v2
  urls:
  - "/handbook/hiring/charts/customer-support/"

- name: Support Hiring Actual vs Plan
  base_path: "/handbook/support/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-hiring-actual-vs-plan"
  definition: Employees are in the division "Engineering" and department is "Support".
  target: At 136 Support members by Jan 31, 2022
  org: Customer Support Department
  is_key: false
  health:
    level: 3
    reasons:
    - Engineering is on plan. But we are lending some of our recruiters to sales for
      this quarter. And we just put in place a new "one star minimum" rule that might
      decrease offer volume.
    - 'Health: Monitor health closely'
  sisense_data:
    chart: 8636994
    dashboard: 421422
    embed: v2
  urls:
  - "/handbook/hiring/charts/customer-support/"
- name: Support New Hire Average Location Factor
  base_path: "/handbook/support/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-division-new-hire-average-location-factor"
  definition: We remain efficient financially if we are hiring globally, working asynchronously,
    and hiring great people in low-cost regions where we pay market rates. We track
    an average location factor for team members hired within the past 3 months so
    hiring managers can make tradeoffs and hire in an expensive region when they really
    need specific talent unavailable elsewhere, and offset it with great people who
    happen to be in more efficient location factor areas with another hire. The historical average location factor represents the average location factor for only new hires in the last three months, excluding internal hires and promotions. The calculation for the three-month rolling average location factor is the location factor of all new hires in the last three months divided by the number of new hires in the last three months for a given hire month. The data source is BambooHR data.
  target: Below 0.61
  org: Customer Support Department
  is_key: false
  health:
    level: 3
    reasons:
    - We are under our target
  sisense_data:
    chart: 9389240
    dashboard: 719545
    embed: v2

- name: Support Department Discretionary Bonus Rate
  parent: "/handbook/engineering/performance-indicators/#engineering-discretionary-bonus-rate"
  base_path: "/handbook/engineering/performance-indicators/"
  definition: The number of discretionary bonuses given divided by the total number of team members, in a given period as defined. This metric definition is taken from the <a href="/handbook/people-group/people-success-performance-indicators/#discretionary-bonuses">People Success Discretionary Bonuses KPI</a>.
  target: at or above 10%
  org: Support Department
  is_key: false
  health:
    level: 2
    reasons:
      - Metric is new and is being monitored
  sisense_data:
    chart: 11860249
    dashboard: 873088
    embed: v2
    filters:
      - name: Breakout
        value: Department
      - name: Breakout_Division_Department
        value: Engineering - Customer Support

